SPLICE_FROM_PIPE_NEX(9)

NAME
splice_from_pipe_next - wait for some data to splice from

SYNOPSIS

int splice_from_pipe_next(struct pipe_inode_info * pipe, struct splice_desc * sd);

ARGUMENTS

pipe
    pipe to splice from

sd
    information about the splice operation

DESCRIPTION

This function will wait for some data and return a positive value (one) if pipe buffers are available. It will return zero or -errno if no more data needs to be spliced.

COPYRIGHT